package demo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

import javax.faces.context.FacesContext;

public class Chat implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private List<String> msgs = new ArrayList<String>();
	private String message="";
	private Locale locale;
	
	public Chat(){
		this.locale = FacesContext.getCurrentInstance().getApplication().getDefaultLocale();
	}

	public Locale getLocale() {
		return locale;
	}

	public void setLocale(Locale locale) {
		this.locale = locale;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getMsgs() {
		StringBuilder s = new StringBuilder();
		for(String i : msgs){
			s.append(i);
			s.append("<br/>");
		}
		return s.toString();
	}

	public void setMsgs(List<String> msgs) {
		this.msgs = msgs;
	}
	public String sendMsg(){		
		msgs.add(message);
		message="";
		return null;
	}
	public String changeLocale(){
		FacesContext.getCurrentInstance().getApplication().setDefaultLocale(locale);
		return "example";
	}
}
